com.mapinfo.midev.geometry

## Interface IMultiPoint

All Superinterfaces:
  IFeatureGeometry, IGeometry, Iterable, Serializable

    public interface IMultiPoint
    extends IFeatureGeometry, Iterable

An `IFeatureGeometry` that is a collection of `IPoint`s all in the same coordinate system.

See Also:
  `IFeatureGeometry`, `GeometryType.ALL_FEATURE_GEOMETRY_TYPE`

### Method Summary

All Methods Instance Methods Abstract Methods
`IMultiPoint` `getCopy()` Returns a non-transient copy of this `IFeatureGeometry` in this `IFeatureGeometry`'s coordinate system.
`IMultiPoint` `getCopy(CoordSys crs)` Returns a non-transient copy of this `IFeatureGeometry` in the specified coordinate system.
`IDirectPositionIterator` `getDirectPositionIterator()` Returns an `IDirectPositionIterator` that can be used to iterator over all the `IDirectPosition`s in this `IMultiPoint`.
`int` `getPointCount()` Returns the number of `IDirectPosition`s in this `IMultiPoint`.
`IDirectPositionList` `getPositions()` Returns all the `IDirectPosition`s in this `IMultiPoint`.

### Methods inherited from interface com.mapinfo.midev.geometry.IFeatureGeometry

`getRepresentativePoint, initializeRepresentativePoint, setRepresentativePoint`

### Methods inherited from interface com.mapinfo.midev.geometry.IGeometry

`contains, getArea, getCoordSys, getDimension, getEnvelope, getPerimeter, getSpatialInfo, getType, isEmpty, isTransient, mAllSet, mSet, zAllSet, zSet`

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

### Method Detail

#### getPointCount

    int getPointCount()

Returns the number of `IDirectPosition`s in this `IMultiPoint`.

Returns:
  the number of `IDirectPosition`s in this `IMultiPoint`.

#### getPositions

    IDirectPositionList getPositions()

Returns all the `IDirectPosition`s in this `IMultiPoint`.

Returns:
  all the `IDirectPosition`s in this `IMultiPoint`.

#### getDirectPositionIterator

    IDirectPositionIterator getDirectPositionIterator()

Returns an `IDirectPositionIterator` that can be used to iterator over all the `IDirectPosition`s in this `IMultiPoint`.

Returns:
  an `IDirectPositionIterator` that can be used to iterator over all the `IDirectPosition`s in this `IMultiPoint`.

#### getCopy

    IMultiPoint getCopy(CoordSys crs)

Description copied from interface: `IFeatureGeometry`
Returns a non-transient copy of this `IFeatureGeometry` in the specified coordinate system.

Specified by:
  `getCopy` in interface `IFeatureGeometry`
Specified by:
  `getCopy` in interface `IGeometry`
Parameters:
  `crs` - coordinate system of the returned copy
Returns:
  a non-transient copy of this `IFeatureGeometry` in the specified coordinate system.
See Also:
  `IGeometry.isTransient()`

#### getCopy

    IMultiPoint getCopy()

Description copied from interface: `IFeatureGeometry`
Returns a non-transient copy of this `IFeatureGeometry` in this `IFeatureGeometry`'s coordinate system.

Specified by:
  `getCopy` in interface `IFeatureGeometry`
Specified by:
  `getCopy` in interface `IGeometry`
Returns:
  a non-transient copy of this `IFeatureGeometry` in this `IFeatureGeometry`'s coordinate system.
See Also:
  `IFeatureGeometry.getCopy(com.mapinfo.midev.coordsys.CoordSys)`, `IGeometry.isTransient()`